## org.apache.poi.poifs.property
Class NPropertyTable

    java.lang.Object
      org.apache.poi.poifs.property.PropertyTableBase
          org.apache.poi.poifs.property.NPropertyTable

All Implemented Interfaces:
  BATManaged

    public final class NPropertyTable

extends PropertyTableBase

This class embodies the Property Table for a `NPOIFSFileSystem`; this is basically the directory for all of the documents in the filesystem.

Field Summary

Fields inherited from class org.apache.poi.poifs.property.PropertyTableBase
`_properties`

Constructor Summary
`NPropertyTable(HeaderBlock headerBlock)`
`NPropertyTable(HeaderBlock headerBlock, NPOIFSFileSystem filesystem)` reading constructor (used when we've read in a file and we want to extract the property table from it).

Method Summary
`int` `countBlocks()` Return the number of BigBlock's this instance uses
`void` `write(NPOIFSStream stream)` Writes the properties out into the given low-level stream

Methods inherited from class org.apache.poi.poifs.property.PropertyTableBase
`addProperty, getRoot, getStartBlock, removeProperty, setStartBlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NPropertyTable

    public NPropertyTable(HeaderBlock headerBlock)

### NPropertyTable

    public NPropertyTable(HeaderBlock headerBlock,
                          NPOIFSFileSystem filesystem)
                   throws java.io.IOException

  reading constructor (used when we've read in a file and we want to extract the property table from it). Populates the properties thoroughly

  Parameters:
    `headerBlock` - the header block of the file
    `filesystem` - the filesystem to read from
  Throws:
    `java.io.IOException` - if anything goes wrong (which should be a result of the input being NFG)

Method Detail

### countBlocks

    public int countBlocks()

  Return the number of BigBlock's this instance uses

  Returns:
    count of BigBlock instances

### write

    public void write(NPOIFSStream stream)
               throws java.io.IOException

  Writes the properties out into the given low-level stream

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.